Module: selenium-webdriver/remote
View Source

# class SeleniumServer

    DriverService
      └ SeleniumServer

Manages the life and death of the standalone Selenium server.

## new SeleniumServer(jar, opt_options)

Parameters

jar`string`

  Path to the Selenium server jar.

opt_options`SeleniumServer.Options=`

  Configuration options for the server.

Throws

`Error`

  If the path to the Selenium jar is not specified or if an invalid port is specified.

## Type Definitions

SeleniumServer.Options`{args: (Array<string>|webdriver.promise.Promise), env: (Object<string, string>|undefined), jvmArgs: (Array<string>|webdriver.promise.Promise|undefined), port: (number|webdriver.promise.Promise), stdio: (string|Array<?(string|number|Stream)>|undefined)}`

  Options for the Selenium server:

  - `port` - The port to start the server on (must be > 0). If the port is provided as a promise, the service will wait for the promise to resolve before starting.
  - `args` - The arguments to pass to the service. If a promise is provided, the service will wait for it to resolve before starting.
  - `jvmArgs` - The arguments to pass to the JVM. If a promise is provided, the service will wait for it to resolve before starting.
  - `env` - The environment variables that should be visible to the server process. Defaults to inheriting the current process's environment.
  - `stdio` - IO configuration for the spawned server process. For more information, refer to the documentation of `child_process.spawn`.